Mailinglist Archive: opensuse-commit (1903 mails)

< Previous Next >
commit leechcraft for openSUSE:Factory
Hello community,

here is the log from the commit of package leechcraft for openSUSE:Factory
checked in at 2019-04-17 10:07:41
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/leechcraft (Old)
and /work/SRC/openSUSE:Factory/.leechcraft.new.17052 (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "leechcraft"

Wed Apr 17 10:07:41 2019 rev:50 rq:694200 version:0.6.70+git.13163.g100049e6a6

Changes:
--------
--- /work/SRC/openSUSE:Factory/leechcraft/leechcraft-doc.changes
2018-06-13 15:41:03.100892683 +0200
+++ /work/SRC/openSUSE:Factory/.leechcraft.new.17052/leechcraft-doc.changes
2019-04-17 10:07:45.702737968 +0200
@@ -1,0 +2,11 @@
+Sun Apr 14 12:43:33 UTC 2019 - Dmitriy Perlow <dap.darkness@xxxxxxxxx>
+
+- Updated to 0.6.70-13163-g100049e6a6 snapshot.
+
+-------------------------------------------------------------------
+Sat Apr 6 14:46:33 UTC 2019 - Dmitriy Perlow <dap.darkness@xxxxxxxxx>
+
+- Updated to 0.6.70-13143-gd05082db2d snapshot.
+- openSUSE 12.1 isn't a point of interest.
+
+-------------------------------------------------------------------
--- /work/SRC/openSUSE:Factory/leechcraft/leechcraft.changes 2018-06-13
15:41:03.120891947 +0200
+++ /work/SRC/openSUSE:Factory/.leechcraft.new.17052/leechcraft.changes
2019-04-17 10:07:45.942738245 +0200
@@ -1,0 +2,30 @@
+Sun Apr 14 12:43:33 UTC 2019 - Dmitriy Perlow <dap.darkness@xxxxxxxxx>
+
+- Updated to 0.6.70-13163-g100049e6a6 snapshot:
+ * Fixed Leap compiller errors;
+ * Added leechcraft-Qt59.diff to get Leap build;
+ * Fixed mode of sha1 _service.
+
+-------------------------------------------------------------------
+Sat Apr 6 14:46:33 UTC 2019 - Dmitriy Perlow <dap.darkness@xxxxxxxxx>
+
+- Updated to 0.6.70-13143-gd05082db2d snapshot:
+ * ppc64 & arm were fixed via plugins disabling;
+ * Added _service with sha1;
+ * vGrabber plugin became obsoleted;
+ * gcc ≥ 8 became requred to build;
+ * Qt ≥ 5.10 became requred to build;
+ * Utils tests are back (libQt5Sql5-sqlite became requires).
+
+-------------------------------------------------------------------
+Sun Mar 24 18:18:10 UTC 2019 - dap.darkness@xxxxxxxxx
+
+- Removed leechcraft-projectM-qt5.patch
+ because projectM became Qt5' one.
+
+-------------------------------------------------------------------
+Fri Feb 22 10:13:49 UTC 2019 - Luigi Baldoni <aloisio@xxxxxxx>
+
+- Use newer projectM where available
+
+-------------------------------------------------------------------

Old:
----
leechcraft-0.6.70-11552-gf61ee51c3d.tar.xz
leechcraft-projectM-qt5.patch

New:
----
_service
leechcraft-0.6.70-13163-g100049e6a6.tar.xz
leechcraft-Qt59.diff

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ leechcraft-doc.spec ++++++
--- /var/tmp/diff_new_pack.7Lw4br/_old 2019-04-17 10:07:48.534741237 +0200
+++ /var/tmp/diff_new_pack.7Lw4br/_new 2019-04-17 10:07:48.538741241 +0200
@@ -1,7 +1,7 @@
#
# spec file for package leechcraft-doc
#
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
@@ -16,16 +16,16 @@
#


-%define LEECHCRAFT_VERSION 0.6.70-11552-gf61ee51c3d
+%define LEECHCRAFT_VERSION 0.6.70-13163-g100049e6a6

Name: leechcraft-doc
-Version: 0.6.70+git.11552.gf61ee51c3d
+Version: 0.6.70+git.13163.g100049e6a6
Release: 0
Summary: Modular Internet Client Documentation
License: BSL-1.0
Group: Development/Libraries/Other
Url: http://leechcraft.org
-Source0: leechcraft-%{LEECHCRAFT_VERSION}.tar.xz
+Source0:
https://dist.leechcraft.org/LeechCraft/0.6.75/leechcraft-%{LEECHCRAFT_VERSION}.tar.xz

BuildRequires: doxygen >= 1.8.3.1
BuildRequires: fdupes
@@ -107,22 +107,13 @@
%files
%defattr(-,root,root)
%doc %{_docdir}/leechcraft-doc
-%if 0%{?suse_version} <= 1210
-%exclude %{_docdir}/leechcraft-doc/installdox
-%endif

%files -n leechcraft-azoth-doc
%defattr(-,root,root)
%doc %{_docdir}/leechcraft-azoth-doc
-%if 0%{?suse_version} <= 1210
-%exclude %{_docdir}/leechcraft-azoth-doc/installdox
-%endif

%files -n leechcraft-monocle-doc
%defattr(-,root,root)
%doc %{_docdir}/leechcraft-monocle-doc
-%if 0%{?suse_version} <= 1210
-%exclude %{_docdir}/leechcraft-monocle-doc/installdox
-%endif

%changelog

++++++ leechcraft.spec ++++++
--- /var/tmp/diff_new_pack.7Lw4br/_old 2019-04-17 10:07:48.554741260 +0200
+++ /var/tmp/diff_new_pack.7Lw4br/_new 2019-04-17 10:07:48.558741264 +0200
@@ -1,7 +1,7 @@
#
# spec file for package leechcraft
#
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
@@ -24,7 +24,7 @@
%define qml_dir %{_datadir}/leechcraft/qml5

%define so_ver -qt5-0_6_75
-%define LEECHCRAFT_VERSION 0.6.70-11552-gf61ee51c3d
+%define LEECHCRAFT_VERSION 0.6.70-13163-g100049e6a6

%define db_postfix %{so_ver}_1
%define gui_postfix %{so_ver}_1
@@ -43,21 +43,31 @@
%define xsd_postfix %{so_ver}

Name: leechcraft
-Version: 0.6.70+git.11552.gf61ee51c3d
+Version: 0.6.70+git.13163.g100049e6a6
Release: 0
Summary: Modular Internet Client
License: BSL-1.0
Group: Productivity/Networking/Other
Url: http://leechcraft.org

-Source0: leechcraft-%{LEECHCRAFT_VERSION}.tar.xz
+Source0:
https://dist.leechcraft.org/LeechCraft/0.6.75/leechcraft-%{LEECHCRAFT_VERSION}.tar.xz
Source4: %{name}-rpmlintrc
Source8: leechcraft-session.1
Source9: lc_plugin_wrapper-qt5.1
-# PATCH-FEATURE-OPENSUSE leechcraft-projectM-qt5.patch use qt5 version of
projectM -- aloisio@xxxxxxx
-Patch0: leechcraft-projectM-qt5.patch
+# PATCH-FEATURE-UPSTREAM for Qt 5.9 support.
+Patch0: leechcraft-Qt59.diff

-%if 0%{?suse_version} > 1325
+BuildRequires: cmake >= 3.8
+BuildRequires: fdupes
+BuildRequires: file-devel
+%if 0%{?sle_version} > 150100
+BuildRequires: gcc-c++ >= 8
+%else
+BuildRequires: gcc8-c++
+%endif
+BuildRequires: hicolor-icon-theme
+BuildRequires: libQt5Gui-private-headers-devel >= 5.9
+BuildRequires: libQt5Sql5-sqlite >= 5.9
BuildRequires: libboost_atomic-devel
BuildRequires: libboost_chrono-devel
BuildRequires: libboost_date_time-devel
@@ -66,62 +76,45 @@
BuildRequires: libboost_program_options-devel
BuildRequires: libboost_system-devel
BuildRequires: libboost_thread-devel
-%else
-BuildRequires: boost-devel >= 1.60
-%endif
-BuildRequires: cmake >= 3.8
-BuildRequires: fdupes
-BuildRequires: file-devel
-%if 0%{?suse_version} <= 1320
-%if 0%{?sle_version} == 120200
-BuildRequires: gcc6-c++
-%else
-BuildRequires: gcc7-c++
-%endif
-%else
-BuildRequires: gcc-c++ >= 7
-%endif
-BuildRequires: hicolor-icon-theme
-BuildRequires: libQt5Gui-private-headers-devel
BuildRequires: libjpeg-devel
BuildRequires: liblastfm-qt5-devel
-BuildRequires: libqt5-qtbase-common-devel >= 5.8
+BuildRequires: libqt5-qtbase-common-devel >= 5.9
BuildRequires: libsensors4-devel
BuildRequires: libtidy-devel
BuildRequires: pkgconfig
%if 0%{?suse_version} > 1325
BuildRequires: wt-devel
%endif
-BuildRequires: cmake(Qt5LinguistTools)
-BuildRequires: pkgconfig(Qt5Concurrent)
-BuildRequires: pkgconfig(Qt5Core)
-BuildRequires: pkgconfig(Qt5DBus)
-BuildRequires: pkgconfig(Qt5Gui)
-BuildRequires: pkgconfig(Qt5Multimedia)
-BuildRequires: pkgconfig(Qt5Network)
-BuildRequires: pkgconfig(Qt5OpenGL)
-BuildRequires: pkgconfig(Qt5Positioning)
-BuildRequires: pkgconfig(Qt5PrintSupport)
-BuildRequires: pkgconfig(Qt5Qml)
-BuildRequires: pkgconfig(Qt5Quick)
-BuildRequires: pkgconfig(Qt5QuickWidgets)
-BuildRequires: pkgconfig(Qt5Qwt6)
-BuildRequires: pkgconfig(Qt5Script)
-BuildRequires: pkgconfig(Qt5Sensors)
-BuildRequires: pkgconfig(Qt5Sql)
-BuildRequires: pkgconfig(Qt5Svg)
-BuildRequires: pkgconfig(Qt5WebChannel)
-BuildRequires: pkgconfig(Qt5WebKit)
-BuildRequires: pkgconfig(Qt5WebKitWidgets)
-BuildRequires: pkgconfig(Qt5Widgets)
-BuildRequires: pkgconfig(Qt5X11Extras)
-BuildRequires: pkgconfig(Qt5Xml)
-BuildRequires: pkgconfig(Qt5XmlPatterns)
+BuildRequires: cmake(Qt5LinguistTools) >= 5.9
+BuildRequires: pkgconfig(Qt5Concurrent) >= 5.9
+BuildRequires: pkgconfig(Qt5Core) >= 5.9
+BuildRequires: pkgconfig(Qt5DBus) >= 5.9
+BuildRequires: pkgconfig(Qt5Gui) >= 5.9
+BuildRequires: pkgconfig(Qt5Multimedia) >= 5.9
+BuildRequires: pkgconfig(Qt5Network) >= 5.9
+BuildRequires: pkgconfig(Qt5OpenGL) >= 5.9
+BuildRequires: pkgconfig(Qt5Positioning) >= 5.9
+BuildRequires: pkgconfig(Qt5PrintSupport) >= 5.9
+BuildRequires: pkgconfig(Qt5Qml) >= 5.9
+BuildRequires: pkgconfig(Qt5Quick) >= 5.9
+BuildRequires: pkgconfig(Qt5QuickWidgets) >= 5.9
+BuildRequires: pkgconfig(Qt5Qwt6) >= 5.9
+BuildRequires: pkgconfig(Qt5Script) >= 5.9
+BuildRequires: pkgconfig(Qt5Sensors) >= 5.9
+BuildRequires: pkgconfig(Qt5Sql) >= 5.9
+BuildRequires: pkgconfig(Qt5Svg) >= 5.9
+BuildRequires: pkgconfig(Qt5WebChannel) >= 5.9
+BuildRequires: pkgconfig(Qt5WebKit) >= 5.9
+BuildRequires: pkgconfig(Qt5WebKitWidgets) >= 5.9
+BuildRequires: pkgconfig(Qt5Widgets) >= 5.9
+BuildRequires: pkgconfig(Qt5X11Extras) >= 5.9
+BuildRequires: pkgconfig(Qt5Xml) >= 5.9
+BuildRequires: pkgconfig(Qt5XmlPatterns) >= 5.9
BuildRequires: pkgconfig(bzip2)
%if 0%{?suse_version} > 1325 || 0%{?sle_version} >= 120300
BuildRequires: pkgconfig(ddjvuapi)
%endif
-%if 0%{?suse_version} > 1325
+%ifarch %ix86 x86_64 %arm ppc64le
BuildRequires: pkgconfig(geoip)
%endif
BuildRequires: pkgconfig(gstreamer-app-1.0)
@@ -143,10 +136,10 @@
%if %{with ffmpeg}
BuildRequires: pkgconfig(libpostproc)
%endif
-%if 0%{?suse_version} >= 1500
-BuildRequires: pkgconfig(libprojectM-qt5)
-%else
-BuildRequires: pkgconfig(libprojectM)
+%if 0%{?sle_version} > 150100
+%ifarch %ix86 x86_64 ppc64 ppc64le
+BuildRequires: pkgconfig(libprojectM) >= 3
+%endif
%endif
BuildRequires: pkgconfig(libqrencode)
%if %{with ffmpeg}
@@ -154,7 +147,7 @@
BuildRequires: pkgconfig(libswscale)
%endif
BuildRequires: pkgconfig(libtcmalloc)
-%if 0%{?suse_version} > 1325
+%ifarch %ix86 x86_64 %arm ppc64le
BuildRequires: pkgconfig(libtorrent-rasterbar)
%endif
BuildRequires: pkgconfig(libudev)
@@ -199,7 +192,7 @@
Recommends: %{name}-visualnotifications
Suggests: %{name}-lastfmscrobble

-%if 0%{?suse_version} < 1325
+%ifarch ppc64
Obsoletes: %{name}-bittorrent
%endif
Obsoletes: %{name}-choroid
@@ -211,6 +204,7 @@
Obsoletes: %{name}-popishu
Obsoletes: %{name}-qrosp
Obsoletes: %{name}-syncer
+Obsoletes: %{name}-vgrabber
Obsoletes: %{name}-vtyulc

%description
@@ -718,7 +712,7 @@
the current user tune.


-%if 0%{?suse_version} > 1325
+%ifarch %ix86 x86_64 %arm ppc64le
%package bittorrent
Summary: LeechCraft BitTorrent client Module
License: BSL-1.0
@@ -863,8 +857,8 @@

%description cstp
This package provides a HTTP implementation plugin for LeechCraft
-which will mainly used by many other plugins like Aggregator,
-SeekThru or vGrabber.
+which will mainly used by many other plugins like Aggregator or
+SeekThru.

Features:
* Support for redirects.
@@ -903,7 +897,7 @@
License: BSL-1.0
Group: Development/Libraries/Other
Requires: %{name} = %{version}
-Requires: cmake
+Requires: cmake >= 3.8
Requires: libQt5Gui-private-headers-devel
Requires: libleechcraft-util-db%{db_postfix} = %{version}
Requires: libleechcraft-util-gui%{gui_postfix} = %{version}
@@ -919,16 +913,16 @@
Requires: libleechcraft-util-xdg%{xdg_postfix} = %{version}
Requires: libleechcraft-util-xpc%{xpc_postfix} = %{version}
Requires: libleechcraft-util-xsd%{xsd_postfix} = %{version}
-Requires: libqt5-linguist-devel
-Requires: pkgconfig(Qt5Concurrent)
-Requires: pkgconfig(Qt5DBus)
-Requires: pkgconfig(Qt5OpenGL)
-Requires: pkgconfig(Qt5PrintSupport)
-Requires: pkgconfig(Qt5Script)
-Requires: pkgconfig(Qt5Svg)
-Requires: pkgconfig(Qt5WebKitWidgets)
-Requires: pkgconfig(Qt5X11Extras)
-Requires: pkgconfig(Qt5XmlPatterns)
+Requires: libqt5-linguist-devel >= 5.9
+Requires: pkgconfig(Qt5Concurrent) >= 5.9
+Requires: pkgconfig(Qt5DBus) >= 5.9
+Requires: pkgconfig(Qt5OpenGL) >= 5.9
+Requires: pkgconfig(Qt5PrintSupport) >= 5.9
+Requires: pkgconfig(Qt5Script) >= 5.9
+Requires: pkgconfig(Qt5Svg) >= 5.9
+Requires: pkgconfig(Qt5WebKitWidgets) >= 5.9
+Requires: pkgconfig(Qt5X11Extras) >= 5.9
+Requires: pkgconfig(Qt5XmlPatterns) >= 5.9
Recommends: leechcraft-azoth-doc
Recommends: leechcraft-doc
Recommends: leechcraft-monocle-doc
@@ -1327,8 +1321,8 @@
Recommends: ffmpeg
Requires: gstreamer-plugins-base >= 1.0
Requires: gstreamer-plugins-good >= 1.0
-Requires: libqt5-qtgraphicaleffects >= 5.6
-Requires: libqt5-qtquickcontrols >= 5.6
+Requires: libqt5-qtgraphicaleffects >= 5.9
+Requires: libqt5-qtquickcontrols >= 5.9
Recommends: gstreamer-plugins-bad
Recommends: gstreamer-plugins-libav
Provides: %{name}-audioplayer
@@ -1429,6 +1423,8 @@
This package allows to synchronize with MTP devices via LeechCraft.


+%if 0%{?sle_version} > 150100
+%ifarch %ix86 x86_64 ppc64 ppc64le
%package lmp-potorchu
Summary: LeechCraft Visualization Effects Module
License: BSL-1.0
@@ -1437,7 +1433,8 @@

%description lmp-potorchu
This package provides visualization effects for the LeechCraft audio player.
-
+%endif
+%endif

%package lmp-ppl
Summary: LeechCraft Portable Player Logging Module
@@ -1887,7 +1884,7 @@
Group: Productivity/Networking/Other
Requires: %{name} = %{version}
Provides: %{name}-sb = %{version}
-Requires: libqt5-qtquickcontrols >= 5.6
+Requires: libqt5-qtquickcontrols >= 5.9

%description sb2
This package provides another side bar plugin for Leechcraft.
@@ -1977,7 +1974,7 @@
information from other plugins like unread channels.

Summary also allows to perform searches via the installed plugins
-like SeekThru, HistoryHolder or vGrabber.
+like SeekThru or HistoryHolder.

Features:
* List of current tasks and events with context-dependent actions
@@ -2062,19 +2059,6 @@
This package provides a Task Progress Indicator quark plugin for Leechcraft.


-%package vgrabber
-Summary: LeechCraft Vkontakte grabber Module
-License: BSL-1.0
-Group: Productivity/Networking/Other
-Requires: %{name} = %{version}
-Requires: %{name}-summaryrepresentation = %{version}
-
-%description vgrabber
-This package provides a Vkontakte.ru plugin for LeechCraft
-which can search for, download, and play audio and video from the Russian
-social network Vkontakte.
-
-
%package vrooby
Summary: LeechCraft Removable storage devices Manager
License: BSL-1.0
@@ -2165,7 +2149,7 @@
Summary: QML utility library for LeechCraft
License: BSL-1.0
Group: Productivity/Networking/Other
-Requires: libQtQuick5 >= 5.6
+Requires: libQtQuick5 >= 5.9

%description -n libleechcraft-util-qml%{qml_postfix}
A library providing some commonly used QML items as well as
@@ -2273,7 +2257,7 @@

%prep
%setup -q -n leechcraft-%{LEECHCRAFT_VERSION}
-%if 0%{?suse_version} >= 1500
+%if 0%{?sle_version} <= 150100
%patch0 -p1
%endif

@@ -2302,26 +2286,18 @@
%if "%{_lib}" == "lib64"
-DLIB_SUFFIX=64 \
%endif
-%if 0%{?suse_version} > 1325
- -DLC_CXX_STANDARD=17 \
-%endif
-DCMAKE_CXX_FLAGS="${tmpflags} -Doverride=" \
-DCMAKE_INSTALL_PREFIX=%{_prefix} \
-DCMAKE_BUILD_TYPE=RelWithDebInfo \
-%if 0%{?suse_version} <= 1320
-%if 0%{?sle_version} == 120200
- -DCMAKE_C_COMPILER=/usr/bin/gcc-6 \
- -DCMAKE_CXX_COMPILER=/usr/bin/g++-6 \
-%else
- -DCMAKE_C_COMPILER=/usr/bin/gcc-7 \
- -DCMAKE_CXX_COMPILER=/usr/bin/g++-7 \
-%endif
+%if 0%{?sle_version} <= 150100
+ -DCMAKE_C_COMPILER=/usr/bin/gcc-8 \
+ -DCMAKE_CXX_COMPILER=/usr/bin/g++-8 \
%endif
-DSTRICT_LICENSING=True \
-DWITH_DBUS_LOADERS=True \
-DWITH_PCRE=True \
-DWITH_QWT=True \
- -DENABLE_UTIL_TESTS=False \
+ -DENABLE_UTIL_TESTS=True \
-DENABLE_ADVANCEDNOTIFICATIONS=True \
-DENABLE_AGGREGATOR=True \
%if 0%{?suse_version} > 1325
@@ -2398,7 +2374,15 @@
-DENABLE_LMP_LIBGUESS=True \
-DENABLE_LMP_MPRIS=True \
-DENABLE_LMP_MTPSYNC=True \
+%if 0%{?sle_version} > 150100
+%ifarch %ix86 x86_64 ppc64 ppc64le
-DENABLE_LMP_POTORCHU=True \
+%else
+ -DENABLE_LMP_POTORCHU=False \
+%endif
+%else
+ -DENABLE_LMP_POTORCHU=False \
+%endif
-DENABLE_LMP_PPL=True \
-DENABLE_LMP_PPL_TESTS=True \
-DENABLE_MELLONETRAY=True \
@@ -2452,7 +2436,7 @@
-DENABLE_TABSESSMANAGER=True \
-DENABLE_TABSLIST=True \
-DENABLE_TEXTOGROOSE=True \
-%if 0%{?suse_version} > 1325
+%ifarch %ix86 x86_64 %arm ppc64le
-DENABLE_TORRENT=True \
-DENABLE_BITTORRENT_GEOIP=True \
%else
@@ -2763,7 +2747,7 @@
%{plugin_dir}/*craft_azoth_xtazy.so
%{translations_dir}/*craft_azoth_xtazy*

-%if 0%{?suse_version} > 1325
+%ifarch %ix86 x86_64 %arm ppc64le
%files bittorrent
%defattr(-,root,root)
%{settings_dir}/torrentsettings.xml
@@ -3075,11 +3059,15 @@
%defattr(-,root,root)
%{plugin_dir}/*craft_lmp_mtpsync.so

+%if 0%{?sle_version} > 150100
+%ifarch %ix86 x86_64 ppc64 ppc64le
%files lmp-potorchu
%defattr(-,root,root)
%{plugin_dir}/*craft_lmp_potorchu.so
%{translations_dir}/*craft_lmp_potorchu_??.qm
%{translations_dir}/*craft_lmp_potorchu_??_??.qm
+%endif
+%endif

%files lmp-ppl
%defattr(-,root,root)
@@ -3351,12 +3339,6 @@
%{plugin_dir}/lib%{name}_tpi.so
%{qml_dir}/tpi/

-%files vgrabber
-%defattr(-,root,root)
-%{settings_dir}/vgrabbersettings.xml
-%{translations_dir}/*craft_vgrabber*.qm
-%{plugin_dir}/*craft_vgrabber.so
-
%files vrooby
%defattr(-,root,root)
%{plugin_dir}/lib%{name}_vrooby.so

++++++ _constraints ++++++
--- /var/tmp/diff_new_pack.7Lw4br/_old 2019-04-17 10:07:48.578741288 +0200
+++ /var/tmp/diff_new_pack.7Lw4br/_new 2019-04-17 10:07:48.578741288 +0200
@@ -2,7 +2,7 @@
<constraints>
<hardware>
<physicalmemory>
- <size unit="M">1500</size>
+ <size unit="G">2</size>
</physicalmemory>
</hardware>
</constraints>

++++++ _service ++++++
<services>
<service name="verify_file" mode="buildtime">
<param name="file">leechcraft-0.6.70-13163-g100049e6a6.tar.xz</param>
<param name="verifier">sha1</param>
<param name="checksum">a261c20d30bd1007484d2c8c8f29f4c4047cdcb6</param>
</service>
</services>
++++++ leechcraft-0.6.70-11552-gf61ee51c3d.tar.xz ->
leechcraft-0.6.70-13163-g100049e6a6.tar.xz ++++++
++++ 83955 lines of diff (skipped)

++++++ leechcraft-Qt59.diff ++++++
diff --git a/src/plugins/poshuku/plugins/speeddial/viewhandler.cpp
b/src/plugins/poshuku/plugins/speeddial/viewhandler.cpp
index e4ad335fe7..99d50330d5 100644
--- a/src/plugins/poshuku/plugins/speeddial/viewhandler.cpp
+++ b/src/plugins/poshuku/plugins/speeddial/viewhandler.cpp
@@ -68,7 +68,8 @@ namespace SpeedDial
template<typename K, typename V>
auto GetSortedVec (const QHash<K, V>& hash)
{
- std::vector<std::pair<K, V>> vec { hash.keyValueBegin
(), hash.keyValueEnd () };
+ auto stlized = Util::Stlize (hash);
+ std::vector<std::pair<K, V>> vec { stlized.begin (),
stlized.end () };
std::sort (vec.begin (), vec.end (), Util::Flip
(Util::ComparingBy (Util::Snd)));
return vec;
}

< Previous Next >
This Thread
  • No further messages